Subject: Existing dll : importing
From: Alain CULOS <[email-masked]>
To: cygwin <[email-masked]>
Date: Wed, 07 Jul 1999 22:05:22 +0100

Dear all,

What should I do when I see that :

$ nm $WD/editdll.dll
No symbols in "/POV-Ray/bin/editdll.dll".

???

The editdll in question is part of POV-Ray 3.01, it was created with
Delphi and
I have no control over it although I do have the delphi source for the
interface, maybe that helps (see in annex).

When I open the file with QuickView (windows95) it shows a whole pile
of stuff
including an export table (damn M$ : they won't allow copy from the
Quickview
!!) :
The export table is pretty shalow as it only contains :
0000    000422a8  EditGetVersion

Regards,
Alain.

-- 
ANTI SPAM / ANTI ARROSAGE COMMERCIAL : 
Pour me répondre, veuillez enlever le Z de mon adresse.
To answer me, please take out the Z from my address.

==========Annex :
## this .pas file is circa 15kB, so if you deem necessary I can send it along
$ egrep -i "(procedure|export|function)" windows/delphi/DllInterface.pas
function EditGetVersion (SizeOfRec : Integer ; EditPointer : PEditPointers) : Integer ; stdcall ;
exports EditGetVersion name 'EditGetVersion' ;
procedure DllShowMessage (E : Exception ; Str : String) ;
procedure EditInit (Handle : THandle) ; stdcall ;
function EditCreateEditor (hWndMain : THandle ; hWndTabbed : THandle ; Home : PChar) : THandle ; stdcall ;
procedure EditDestroy ; stdcall ;
procedure EditShow (State : Boolean) ; stdcall ;
procedure EditGetHandles (HandleRec : PTHandleRec) ; stdcall ;
procedure EditUpdateMenus (Editor : TOvcTextFileEditor) ; stdcall ; export ;
function EditSelectEditor (Editor : TOvcTextFileEditor) : Boolean ; stdcall ;
function EditDispatch (Command : Integer) : Boolean ; stdcall ;
function EditGetEditor : TOvcTextFileEditor ; stdcall ;
function EditReleaseEditor (Editor : TOvcTextFileEditor) : boolean ; stdcall ;
function EditGetTitle (Editor : TOvcTextFileEditor ; PTopLine : PLongInt ; PLine : PLongInt ; PCol : PInteger ; 
PModified : PInteger) : PChar ; stdcall ;
function OpenFile (Editor : TOvcTextFileEditor ; FileName : PChar ; StoreInHistory : Boolean) : boolean ;
function EditOpenFile (Editor : TOvcTextFileEditor ;
function EditCanClose : Boolean ; stdcall ;
procedure EditSetActive (Active : Boolean) ; stdcall ;
function EditGetLine (Editor : TOvcTextFileEditor ; LineNumber : Integer ; Buffer : PChar ; BufLen : Integer) : 
Boolean ; stdcall ;
function EditSeek (Editor : TOvcTextFileEditor ; From : Integer ; Offset : PInteger) : Integer ; stdcall ;
procedure EditSaveFile ; stdcall ;
procedure EditOpenInNew ; stdcall ;
procedure EditSaveSettings ; stdcall ;
function EditGetVersion (SizeOfRec : Integer ; EditPointer : PEditPointers) : Integer ; stdcall ; export ;

--
Want to unsubscribe from this list?
Send a message to [email-masked]